import { SlatePlugin } from '@udecode/slate-plugins-core';
import { Editor } from 'slate';
import { DeserializeHTMLChildren } from '../types';
export interface DeserializeMarksProps {
    plugins: SlatePlugin[];
    element: HTMLElement;
    children: DeserializeHTMLChildren[];
}
/**
 * Deserialize HTML to TDescendant[] with marks on Text.
 * Build the leaf from the leaf deserializers of each plugin.
 */
export declare const deserializeHTMLToMarks: (editor: Editor, { plugins, element, children }: DeserializeMarksProps) => any[];
//# sourceMappingURL=deserializeHTMLToMarks.d.ts.map